SDXFrameWork 0.12 SDXFrameWork

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Enumerations Enumerator Pages
Public Member Functions | List of all members
SDX::IDrawable Class Referenceabstract

描画可能なクラスのインターフェース. More...

`#include <IDrawable.h>`

Inherited by SDX::Anime, and SDX::Image.

## Public Member Functions
virtual bool | Draw (const Point &座標, bool 反転フラグ=false) const =0
| 指定座標に描画. More...
virtual bool | DrawExtend (const Rect &描画範囲, bool 反転フラグ=false) const =0
| 指定矩形内に拡大/縮小描画. More...
virtual bool | DrawRotate (const Point &座標, double 拡大率, double 角度, bool 反転フラグ=false) const =0
| 角度、拡大率を指定して描画. More...
virtual bool | DrawRotateAxis (const Point &座標, const Point &回転軸座標, double 拡大率, double 角度, bool 反転フラグ=false) const =0
| 回転軸、角度、拡大率を指定して描画. More...
virtual bool | DrawRotateAxis (const Point &座標, const Point &回転軸座標, double 拡大率X, double 拡大率Y, double 角度, bool 反転フラグ=false) const =0
| 回転軸、角度、拡大率を縦横別に指定して描画. More...
virtual bool | DrawPart (const Point &描画先座標, const Rect &描画元領域, bool 反転フラグ=false) const =0
| 一部を指定して描画. More...

## Detailed Description

描画可能なクラスのインターフェース.

//Copyright © 2014 SDXFramework
//[License]GNU Affero General Public License, version 3
//[Contact]http://sourceforge.jp/projects/dxframework/
//画像を描画する
bool SampleImage()
{
using namespace SDX;
System::Initialise("sample", 640, 480);
Image ねずみ("data/pipo-enemy034.png");
Image ひよこ("data/pipo-enemy035.png");
Image にわとり("data/pipo-enemy036.png");
Image くま("data/pipo-enemy037.png");
にわとり.SetColor(Color::Red);//赤くする
くま.SetColor({255,255,255,128});//半透明にする
double angle = 0;
while (System::Update())
{
angle += 0.1;
ねずみ.Draw({ 100, 100 }, true);//反転して描画
ひよこ.DrawExtend({ 200, 100 , 200, 100 });//指定矩形に描画
にわとり.DrawRotate({ 100, 200 }, 0.5, angle);//角度と拡大率を指定して描画
くま.DrawPart({ 200, 200 }, {0,0,90,90});//一部分を描画
if (Input::key.Return.on){ break;}//Enterで終了
}
System::End();
return true;
}

Todo:
  例えばDrawPartに回転可能な関数等を追加するかもしれない

## Member Function Documentation

virtual bool SDX::IDrawable::Draw | ( | const Point & | 座標,
|  | bool | 反転フラグ = `false`
| ) |  | const
| pure virtual

指定座標に描画.

Implemented in SDX::Image, and SDX::Anime.

virtual bool SDX::IDrawable::DrawExtend | ( | const Rect & | 描画範囲,
|  | bool | 反転フラグ = `false`
| ) |  | const
| pure virtual

指定矩形内に拡大/縮小描画.

Implemented in SDX::Image, and SDX::Anime.

virtual bool SDX::IDrawable::DrawRotate | ( | const Point & | 座標,
|  | double | 拡大率,
|  | double | 角度,
|  | bool | 反転フラグ = `false`
| ) |  | const
| pure virtual

角度、拡大率を指定して描画.

Implemented in SDX::Image, and SDX::Anime.

virtual bool SDX::IDrawable::DrawRotateAxis | ( | const Point & | 座標,
|  | const Point & | 回転軸座標,
|  | double | 拡大率,
|  | double | 角度,
|  | bool | 反転フラグ = `false`
| ) |  | const
| pure virtual

回転軸、角度、拡大率を指定して描画.

Implemented in SDX::Image, and SDX::Anime.

virtual bool SDX::IDrawable::DrawRotateAxis | ( | const Point & | 座標,
|  | const Point & | 回転軸座標,
|  | double | 拡大率X,
|  | double | 拡大率Y,
|  | double | 角度,
|  | bool | 反転フラグ = `false`
| ) |  | const
| pure virtual

回転軸、角度、拡大率を縦横別に指定して描画.

Implemented in SDX::Image, and SDX::Anime.

virtual bool SDX::IDrawable::DrawPart | ( | const Point & | 描画先座標,
|  | const Rect & | 描画元領域,
|  | bool | 反転フラグ = `false`
| ) |  | const
| pure virtual

一部を指定して描画.

Implemented in SDX::Image, and SDX::Anime.